One of the Clan members can be selected and be delegated the role of Clan Leader.
Please consider your decision carefully before making the request.
I'll say this once more. Since the delegation of a Clan Lord is the process in which all the rights of a Clan Leader are transferred to another Clan member, you need to consider your decision very carefully before submitting your request.
Clan Leader Delegation Request
Cancel the Clan Leader Delegation Request
Return